Subject: Re: [PATCH v4 (for maint)] git-completion: fix zsh support

From: Jonathan Nieder <[email-masked]>
Date: Mon, 9 May 2011 18:35:06 -0500

Junio C Hamano wrote:

> One big thing going for this patch is that this is the blessed solution
> zsh folks themselves like to use, no? The repeated mention "zsh bashinit
> bug" in the code seems to suggest that it is the case.
>
> I do not mind reverting sg/completion-updates from 'next' (please remind
> me that I need to resurrect your "private shopt shim" separately if we go
> this route) and applying a cleaned-up version of this one.

Thanks, will spend some time later today to do so.

> Thanks.

Sorry for all the noise.  I wish I knew a way to work on patches like
this one without causing so much animosity.